Get List of Agreements

Gets a list of all available agreements by a given receiving institution, sending institution, academic year, and type

Api

Route
/articulation/api/Agreements/Published/for/{receivingInstitutionId:int}/to/{sendingInstitutionId:int}/in/{academicYearId:int}?types={type:enum}
Method
GET
Key Required
No
Common Response
Yes
Response Type
Validated Response of AvailablePublishedAgreementAggregate

Route Parameters

receivingInstitutionId (int)
The receiving institution id (from: Get Institutions)
sendingInstitutionId (int)
The sending institution id (from: Get Institutions)
academicYearId (int)
The academic year id (from: Get Academic Years)

Query Parameters

types (enum)
The type of agreement from [Prefix,Department,Major,GeneralEducation]

Curl Example

curl -X 'GET' \
  'https://prod.assistng.org/articulation/api/Agreements/Published/for/7/to/110/in/74?types=Department' \
  -H 'accept: application/json'
  • receivingInstitutionId = 7 (University of California, San Diego)
  • sendingInstitutionId = 110 (Allan Hancock College)
  • academicYearId = 74 (2023-2024)
  • types=Department (find Department agreements)

Sample Response

{
    "result"{
        "reports": [
            {
                "key": "74/110/to/7/Department/13008",
                "label": "Visual Arts",
                "ownerInstitutionId": 7,
                "type": "Department"
            },
            {
                "key": "74/110/to/7/SendingDepartment/306",
                "label": "Agribusiness",
                "ownerInstitutionId": 110,
                "type": "SendingDepartment"
            }
        ],
        "allReports": [
            {
                "key": "74/110/to/7/AllDepartments",
                "label": "All Departments",
                "ownerInstitutionId": 7,
                "type": "AllDepartments"
            }
        ]
    },
    "validationFailure": null,
    "isSuccessful": true
}

AvailablePublishedAgreementAggregate Model

reports (array of AgreementReport)
A list of reports found given the criteria
allReports (array of AgreementReport)
A list of the “All” reports which are applicable to the given criteria, such as the “All Majors” or “All Departments” Report

AgreementReport Model

key (string)
The agreement key that can be sent back to Get Agreement to get the full agreement
label (string)
The name of the agreement, which could be the major name, prefix code, department name, or general education area, depending on the type of agreement
ownerInstitutionId (int)
The institution id in which the corresponding major, prefix code, department name, or general education area belongs
type (enum)
The type of agreement from [Prefix, Department, Major, GeneralEducation, AllDepartments, AllPrefixes, AllMajors, AllGeneralEducation, SendingDepartment, SendingPrefix, AllSendingPrefixes, AllSendingDepartments]